#include <SFML/Graphics.hpp>
#include <Level.h>

int main()
{
    sf::RenderWindow window(sf::VideoMode(400, 400), "tilemap example");
    window.setFramerateLimit(60);
    
    zle::TileMap tmap;
    tmap.loadFromFile("map.tmap");
    sf::Texture tiles;
    tiles.loadFromFile("tiles.png");
    tmap.setTexture(&tiles);
    tmap.setTextureGap(2, 0);
    tmap.setTextureTileSize({100, 100});
    tmap.setTileSize({50, 50});

    while (window.isOpen())
    {
        sf::Event event;
        while (window.pollEvent(event))
        {
            if (event.type == sf::Event::Closed)
                window.close();
        }

        window.clear();
        window.draw(tmap);
        window.display();
    }

    return 0;
}